flume-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mike Percy <mpe...@apache.org>
Subject Re: Compilation error installing latest flume
Date Fri, 05 Oct 2012 08:09:35 GMT
Great! Glad you got it working. 

Regards
Mike


On Thursday, October 4, 2012 at 10:32 AM, iain wright wrote:

> Thanks Mike, i was able to get it installed on FreeBSD 9, Just had trouble on the box
that had FreeBSD 8.2 installed for some reason 
> 
> All the best,
> -- 
> Iain Wright
> 
> 
 (http://www.labctsi.org/)> This email message is confidential, intended only for the recipient(s)
named above and may contain information that is privileged, exempt from disclosure under applicable
law. If you are not the intended recipient, do not disclose or disseminate the message to
anyone except the intended recipient. If you have received this message in error, or are not
the named recipient(s), please immediately notify the sender by return email, and delete all
copies of this message.
> 
> 
> On Wed, Oct 3, 2012 at 2:00 PM, Mike Percy <mpercy@apache.org (mailto:mpercy@apache.org)>
wrote:
> > Iain,
> > Try mvn clean install -DskipTests ... but I have never tried to compile on FreeBSD
before. I know it builds on Mac OS and Linux.
> > 
> > Reagrds,
> > Mike
> > 
> > 
> > On Tue, Oct 2, 2012 at 10:03 PM, iain wright <iainwrig@gmail.com (mailto:iainwrig@gmail.com)>
wrote:
> > > Hi all,
> > > 
> > > Thanks in advance for any help. We want to use flume for writing to hbase to
help smooth over hbase pauses, I just can't seem to get the latest flume installed. 
> > > 
> > > Can anyone recommend a stable version with an hbase sink available, or help
me get the latest build installed? 
> > > 
> > > dev0# uname -a
> > > FreeBSD dev0 8.2-RELEASE FreeBSD 8.2-RELEASE #0 r218789: Fri Feb 18 01:10:51
PST 2011     iain@dev0:/usr/obj/usr/src/sys/GENERIC  amd64
> > > 
> > > 
> > > Here is what I did: 
> > > installed google protocol buffers
> > > cd /usr/local
> > > git clone https://git-wip-us.apache.org/repos/asf/flume.git flume
> > > cd clume
> > > git checkout trunk
> > > mvn package -DskipTests
> > > 
> > > Here is what happened:
> > > The first error I got complained about reaching an End of File. I opened the
file in question /usr/local/flume1.2/flume-ng-core/target/generated-sources/java/org/apache/flume/package-info.java
then removed the EOF from the end of the file.
> > > 
> > > I then resumed the build at that goal using mvn <goal> -rf:flume-ng-core
> > > 
> > > This worked and the installation continued all the way to "Flume legacy Avro
Source" then failed with this: 
> > > [INFO] Flume NG Core ..................................... SUCCESS [26.592s]
> > > [INFO] Flume NG Sinks .................................... SUCCESS [0.011s]
> > > [INFO] Flume NG HDFS Sink ................................ SUCCESS [3.506s]
> > > [INFO] Flume NG IRC Sink ................................. SUCCESS [1.071s]
> > > [INFO] Flume NG HBase Sink ............................... SUCCESS [6.234s]
> > > [INFO] Flume Sources ..................................... SUCCESS [0.008s]
> > > [INFO] Flume Scribe Source ............................... SUCCESS [2.931s]
> > > [INFO] Flume NG Channels ................................. SUCCESS [0.008s]
> > > [INFO] Flume NG JDBC channel ............................. SUCCESS [3.585s]
> > > [INFO] Flume NG Node ..................................... SUCCESS [2.618s]
> > > [INFO] Flume NG file-based channel ....................... SUCCESS [7.049s]
> > > [INFO] Flume NG file backed Memory channel ............... SUCCESS [1.903s]
> > > [INFO] Flume legacy Sources .............................. SUCCESS [0.008s]
> > > [INFO] Flume legacy Avro source .......................... FAILURE [1.179s]
> > > [INFO] Flume legacy Thrift Source ........................ SKIPPED
> > > [INFO] Flume NG Clients .................................. SKIPPED
> > > [INFO] Flume NG Log4j Appender ........................... SKIPPED
> > > [INFO] Flume NG distribution ............................. SKIPPED
> > > [INFO] Flume NG Integration Tests ........................ SKIPPED
> > > 
> > > [INFO] ------------------------------------------------------------------------
> > > [INFO] BUILD FAILURE
> > > [INFO] ------------------------------------------------------------------------
> > > [INFO] Total time: 58.038s
> > > [INFO] Finished at: Tue Oct 02 21:35:28 PDT 2012
> > > [INFO] Final Memory: 74M/468M
> > > [INFO] ------------------------------------------------------------------------
> > > [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile
(default-cli) on project flume-avro-source: Compilation failure: Compilation failure:
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[39,39]
error: package com.cloudera.flume.handlers.avro does not exist
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[40,39]
error: package com.cloudera.flume.handlers.avro does not exist
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[82,37]
error: cannot find symbol
> > > [ERROR] class FlumeOGEventAvroServer
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[94,12]
error: cannot find symbol
> > > [ERROR] class AvroLegacySource
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[125,22]
error: cannot find symbol
> > > [ERROR] class AvroLegacySource
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[107,32]
error: cannot find symbol
> > > [ERROR] class AvroLegacySource
> > > [ERROR] /usr/local/flume1.2/flume-ng-legacy-sources/flume-avro-source/src/main/java/org/apache/flume/source/avroLegacy/AvroLegacySource.java:[124,2]
error: method does not override or implement a method from a supertype
> > > [ERROR] -> [Help 1]
> > > [ERROR] 
> > > [ERROR] To see the full stack trace of the errors, re-run Maven with the -e
switch.
> > > [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> > > [ERROR] 
> > > [ERROR] For more information about the errors and possible solutions, please
read the following articles:
> > > [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException
> > > [ERROR] 
> > > [ERROR] After correcting the problems, you can resume the build with the command
> > > [ERROR]   mvn <goals> -rf :flume-avro-source
> > > 
> > > Now I'm pretty stumped. AvroLegacySource.java fails to import a bunch of stuff
starting at line 39: com.cloudera.flume.handlers.avro 
> > > 
> > > Any ideas? 
> > > 
> > > The only thing I was able to find about this was what appear to be CI build
failure notifications to the flume-dev list here:
> > > http://mail-archives.apache.org/mod_mbox/flume-dev/201208.mbox/%3C259636078.607.1345931243876.JavaMail.hudson@aegis.apache.org%3E
> > > http://mail-archives.apache.org/mod_mbox/flume-dev/201209.mbox/%3C1657028524.38.1347067986653.JavaMail.hudson@aegis.apache.org%3E
> > > 
> > > Thanks so much, -- 
> > > Iain Wright
> > > Cell: (562) 852-5916 (tel:%28562%29%20852-5916)
> > > 
 (http://www.labctsi.org/)> > > This email message is confidential, intended only
for the recipient(s) named above and may contain information that is privileged, exempt from
disclosure under applicable law. If you are not the intended recipient, do not disclose or
disseminate the message to anyone except the intended recipient. If you have received this
message in error, or are not the named recipient(s), please immediately notify the sender
by return email, and delete all copies of this message.
> > 
> 


Mime
View raw message